
Redmine - Feature #1451

Create Default Repository Read user

2008-06-15 02:23 - Tim Hawkins

Status: New Start date: 2008-06-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

When using redmine with automatic repository creation, it would be convient if there was a default user credential that was created

that could be accessed by the svn auth PM library, to provide a default read user. This username and password could be generated

using suitable hashes of project name and time. Once set in the project table, it could be used to avoid having to set a read capable

user account to enable repository browsing. If the login and username on the repository create form is left blank, use these names

instead.

History

#1 - 2011-01-18 06:59 - Toshi MARUYAMA

- Category set to SCM

#2 - 2011-03-24 07:23 - Toshi MARUYAMA

- Category changed from SCM to SCM extra
